{
  "version": 1,
  "cli": {
    "defaultCollection": "@nrwl/angular"
  },
  "defaultProject": "mina-sidor-fa",
  "schematics": {
    "@nrwl/angular": {
      "application": {
        "linter": "eslint"
      },
      "library": {
        "linter": "eslint"
      },
      "storybook-configuration": {
        "linter": "eslint"
      }
    },
    "@nrwl/angular:application": {
      "style": "scss",
      "linter": "eslint",
      "unitTestRunner": "jest",
      "e2eTestRunner": "cypress"
    },
    "@nrwl/angular:library": {
      "style": "scss",
      "linter": "eslint",
      "unitTestRunner": "jest"
    },
    "@nrwl/angular:component": {
      "style": "scss",
      "changeDetection": "OnPush"
    }
  },
  "projects": {
    "mina-sidor-fa": {
      "projectType": "application",
      "root": "apps/mina-sidor-fa",
      "sourceRoot": "apps/mina-sidor-fa/src",
      "prefix": "msfa",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "outputPath": "dist/apps/mina-sidor-fa",
            "index": "apps/mina-sidor-fa/src/index.html",
            "main": "apps/mina-sidor-fa/src/main.ts",
            "polyfills": "apps/mina-sidor-fa/src/polyfills.ts",
            "tsConfig": "apps/mina-sidor-fa/tsconfig.app.json",
            "aot": true,
            "assets": ["apps/mina-sidor-fa/src/assets"],
            "styles": ["apps/mina-sidor-fa/src/styles/styles.scss"],
            "stylePreprocessorOptions": {
              "includePaths": ["apps/mina-sidor-fa/src/styles"]
            },
            "scripts": ["node_modules/marked/lib/marked.js"]
          },
          "configurations": {
            "production": {
              "fileReplacements": [
                {
                  "replace": "apps/mina-sidor-fa/src/environments/environment.ts",
                  "with": "apps/mina-sidor-fa/src/environments/environment.prod.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb",
                  "maximumError": "10kb"
                }
              ]
            },
            "acc": {
              "fileReplacements": [
                {
                  "replace": "apps/mina-sidor-fa/src/environments/environment.ts",
                  "with": "apps/mina-sidor-fa/src/environments/environment.acc.ts"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "2mb",
                  "maximumError": "5mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb",
                  "maximumError": "10kb"
                }
              ]
            },
            "api": {
              "fileReplacements": [
                {
                  "replace": "apps/mina-sidor-fa/src/environments/environment.ts",
                  "with": "apps/mina-sidor-fa/src/environments/environment.api.ts"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "browserTarget": "mina-sidor-fa:build",
            "proxyConfig": "./config/proxy.conf.json"
          },
          "configurations": {
            "production": {
              "browserTarget": "mina-sidor-fa:build:production"
            },
            "acc": {
              "browserTarget": "mina-sidor-fa:build:acc",
              "proxyConfig": "./config/proxy.conf.api.json"
            },
            "api": {
              "browserTarget": "mina-sidor-fa:build:api",
              "proxyConfig": "./config/proxy.conf.api.json"
            }
          }
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "browserTarget": "mina-sidor-fa:build"
          }
        },
        "lint": {
          "builder": "@nrwl/linter:eslint",
          "options": {
            "lintFilePatterns": ["apps/mina-sidor-fa/src/**/*.ts", "apps/mina-sidor-fa/src/**/*.html"]
          }
        },
        "test": {
          "builder": "@nrwl/jest:jest",
          "outputs": ["coverage/apps/mina-sidor-fa"],
          "options": {
            "jestConfig": "apps/mina-sidor-fa/jest.config.js",
            "passWithNoTests": true
          }
        }
      }
    },
    "mina-sidor-fa-e2e": {
      "root": "apps/mina-sidor-fa-e2e",
      "sourceRoot": "apps/mina-sidor-fa-e2e/src",
      "projectType": "application",
      "architect": {
        "e2e": {
          "builder": "@nrwl/cypress:cypress",
          "options": {
            "cypressConfig": "apps/mina-sidor-fa-e2e/cypress.json",
            "tsConfig": "apps/mina-sidor-fa-e2e/tsconfig.e2e.json",
            "devServerTarget": "mina-sidor-fa:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "mina-sidor-fa:serve:production"
            }
          }
        },
        "lint": {
          "builder": "@nrwl/linter:eslint",
          "options": {
            "lintFilePatterns": ["apps/mina-sidor-fa-e2e/**/*.{js,ts}"]
          }
        }
      }
    }
  }
}
